Skip to main content
GET
/
invoice-items
List invoice items
curl --request GET \
  --url https://www.ruddr.io/api/workspace/invoice-items \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "a3f8c2d1-4b56-7e89-0f12-3a4b5c6d7e8f",
      "name": "Professional Services",
      "isActive": true,
      "typeId": "income",
      "readOnly": false,
      "createdAt": "2024-03-15T14:22:31.847Z"
    }
  ],
  "hasMore": false
}
A charge category assigned to invoice line items, such as “Service” or “Expense”. Every line item on an invoice must have an invoice item.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer<int32>

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.